Package com.databend.jdbc.cloud

## Class ExternalLocationS3

- java.lang.Object
- - com.databend.jdbc.cloud.ExternalLocationS3

    public class ExternalLocationS3
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ExternalLocationS3.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ExternalLocationS3.Builder` `builder()`
`String` `getAccessKeyId()`
`String` `getEndpointUrl()`
`String` `getLocation()`
`String` `getRegion()`
`String` `getSecretAccessKey()`
`String` `getSessionToken()`
`boolean` `isEnableVirtualHostStyle()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### builder

    public static ExternalLocationS3.Builder builder()

#### getLocation

    public String getLocation()

#### getEndpointUrl

    public String getEndpointUrl()

#### getAccessKeyId

    public String getAccessKeyId()

#### getSecretAccessKey

    public String getSecretAccessKey()

#### getSessionToken

    public String getSessionToken()

#### getRegion

    public String getRegion()

#### isEnableVirtualHostStyle

    public boolean isEnableVirtualHostStyle()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`